
#    MIDAS Access Client  for Rsh service

global env
source [file join $env(MIDASBASE) SOAP tcl MIDASAccessClient.tcl]    ;#   load default support procedures

global RshServerHost RshServerPort

if {[info exists RshServerHost] == 0} then {set RshServerHost localhost}
if {[info exists RshServerPort] == 0} then {set RshServerPort 8015}

variable uri "urn:RshServer"
variable proxy "http://$RshServerHost:$RshServerPort/RshServer"

SOAP::create Rsh -proxy $proxy -uri $uri -timeout 5000  -params {p string} \
     -wrapProc  ::SOAP::MIDAS_SOAPAccessClient_Request \
     -parseProc ::SOAP::MIDAS_SOAPAccessClient_Reply 


package provide RshClient 1.0
